Subject: bug#60527: 30.0.50; Typing SPC in a minibuffer with completion

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Jan 2023 20:37:30 +0200

> Date: Wed, 4 Jan 2023 19:45:45 +0200
> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> > I understand that just rebinding SPC is much easier.  But we are
> > supposed to consider other factors, not just the ease of
> > implementation.  And I'm not afraid of code that is somewhat inelegant
> > and even breaks abstractions, if we provide better, friendlier UI
> > which breaks less habits.
> 
> Using proper abstractions is what can lead to predictable, better UI. 
> And vice versa -- patching through special cases upon special cases 
> leads to less predictable, worse UI.
> 
> I wasn't talking about the ease of implementation, really.

Not necessarily.

And let's stop here and agree to disagree about this, okay?